HFST-HEAD(1)

NAME
hfst-head - =Get first transducers from an archive

SYNOPSIS
hfst-head [OPTIONS...] [INFILE]

DESCRIPTION
Get first transducers from an archive

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  Archive options:

-n, --n-first=[-]K
    print the first K transducers; with the leading `-', print all but last K transducers

If OUTFILE or INFILE is missing or -, standard streams will be used. Format of result depends on format of INFILE K must be an integer, as parsed by strtoul base 10, and not 0. If K is omitted default is 1.

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-head home page: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHead>
General help using HFST software: <https://kitwiki.csc.fi/twiki/bin/view/KitWiki//HfstHome>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.